Subject: Add real inheritance and alias support for CLDR data
Description

CLDR uses concept of Locale inheritance and aliases. As for now, the alias resolving and inheritance support are simplified greatly.
This should be done before any new I18n features will be added, as changes in the internal parsed data structure are likely.

Associated revisions
Revision 7f12f79a - 2010-11-23 23:16 - Karol Gusak

[FEATURE] FLOW3 (I18n): Add real CLDR inheritance and alias support.

CLDR files are now parsed to slightly different array structure which
is much more useful and simplifies many code fragments. This change
also allowed to write simple but pretty complete inheritance support
as defined in CLDR specification, and support for alias tag. However,
for the latter one, only source attribute set to 'locale' is supported
(most of the cases anyway).

CldrModelCollection class was deleted; now CldrModel class covers both
use cases for these both classes.

Change-Id: Ieadcecaa2d627606c9d01398e52a8915eb2940fb
Resolves: #10539

History
#1 - 2010-11-09 22:14 - Karol Gusak
- Status changed from New to Accepted
- Assigned To set to Karol Gusak

#2 - 2010-11-26 15:15 - Karol Gusak
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:"7f12f79a4078dc7fb4ed7d16e802d0039520c844".
http://www.unicode.org/reports/tr35/#Locale_Inheritance
http://www.unicode.org/reports/tr35/#Common_Elements

